# Class CharacterLocationCitation

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a citation for specific locations within text content.

    public class CharacterLocationCitation : Citation

Inheritance
  object
  Citation
  CharacterLocationCitation

Inherited Members
  Citation.Type
  Citation.CitedText
  Citation.DocumentIndex
  Citation.DocumentTitle
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### CharacterLocationCitation()

Initializes a new instance of the CharacterLocationCitation class.

    public CharacterLocationCitation()

## Properties

### EndCharIndex

Gets the end character index of the citation.

    [JsonPropertyName("end_char_index")]
    public int EndCharIndex { get; init; }

#### Property Value

int

### StartCharIndex

Gets the start character index of the citation.

    [JsonPropertyName("start_char_index")]
    public int StartCharIndex { get; init; }

#### Property Value

int